OGRE-Next: Ogre::PageContentCollection Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::PageContentCollection Class Referenceabstract
Components » Paging

Definition of the interface for a collection of PageContent instances. More...

`#include <OgrePageContentCollection.h>`

Inheritance diagram for Ogre::PageContentCollection:
[legend]

## Public Member Functions
| PageContentCollection (PageContentCollectionFactory *creator)
virtual | ~PageContentCollection ()
virtual void | _notifyAttached (Page *parent)
| Internal method to notify a collection that it is attached.
virtual void | frameEnd (Real timeElapsed)=0
| Called when the frame ends.
virtual void | frameStart (Real timeSinceLastFrame)=0
| Called when the frame starts.
PageManager * | getManager () const
Page * | getParentPage () const
SceneManager * | getSceneManager () const
virtual const String & | getType () const
| Get the type of the collection, which will match it's factory.
virtual void | load ()=0
| Load - will be called in main thread.
virtual void | notifyCamera (Camera *cam)=0
| Notify a section of the current camera.
virtual bool | prepare (StreamSerialiser &ser)=0
| Prepare data - may be called in the background.
virtual void | save (StreamSerialiser &stream)=0
| Save the collection to a stream.
virtual void | unload ()=0
| Unload - will be called in main thread.
virtual void | unprepare ()=0
| Unprepare data - may be called in the background.

## Static Public Attributes
static const uint32 | CHUNK_ID
static const uint16 | CHUNK_VERSION

## Detailed Description

Definition of the interface for a collection of PageContent instances.

Remarks
  This class acts as a grouping level for PageContent instances. Rather than PageContent instances being held in a list directly under Page, which might be the most obvious solution, this intermediate class is here to allow the collection of relevant PageContent instances to be modified at runtime if required. For example, potentially you might want to define Page-level LOD in which different collections of PageContent are loaded at different times.

## Constructor & Destructor Documentation

## ◆ PageContentCollection()

Ogre::PageContentCollection::PageContentCollection | ( | PageContentCollectionFactory * | creator | ) |

## ◆ ~PageContentCollection()

virtual Ogre::PageContentCollection::~PageContentCollection | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _notifyAttached()

virtual void Ogre::PageContentCollection::_notifyAttached | ( | Page * | parent | ) |
| virtual

Internal method to notify a collection that it is attached.

## ◆ frameEnd()

virtual void Ogre::PageContentCollection::frameEnd | ( | Real | timeElapsed | ) |
| pure virtual

Called when the frame ends.

Implemented in Ogre::SimplePageContentCollection.

## ◆ frameStart()

virtual void Ogre::PageContentCollection::frameStart | ( | Real | timeSinceLastFrame | ) |
| pure virtual

Called when the frame starts.

Implemented in Ogre::SimplePageContentCollection.

## ◆ getManager()

PageManager * Ogre::PageContentCollection::getManager | ( |  | ) | const

## ◆ getParentPage()

Page * Ogre::PageContentCollection::getParentPage | ( |  | ) | const
| inline

## ◆ getSceneManager()

SceneManager * Ogre::PageContentCollection::getSceneManager | ( |  | ) | const

## ◆ getType()

virtual const String & Ogre::PageContentCollection::getType | ( |  | ) | const
| virtual

Get the type of the collection, which will match it's factory.

## ◆ load()

virtual void Ogre::PageContentCollection::load | ( |  | ) |
| pure virtual

Load - will be called in main thread.

Implemented in Ogre::SimplePageContentCollection.

## ◆ notifyCamera()

virtual void Ogre::PageContentCollection::notifyCamera | ( | Camera * | cam | ) |
| pure virtual

Notify a section of the current camera.

Implemented in Ogre::SimplePageContentCollection.

## ◆ prepare()

virtual bool Ogre::PageContentCollection::prepare | ( | StreamSerialiser & | ser | ) |
| pure virtual

Prepare data - may be called in the background.

Implemented in Ogre::SimplePageContentCollection.

## ◆ save()

virtual void Ogre::PageContentCollection::save | ( | StreamSerialiser & | stream | ) |
| pure virtual

Save the collection to a stream.

Implemented in Ogre::SimplePageContentCollection.

## ◆ unload()

virtual void Ogre::PageContentCollection::unload | ( |  | ) |
| pure virtual

Unload - will be called in main thread.

Implemented in Ogre::SimplePageContentCollection.

## ◆ unprepare()

virtual void Ogre::PageContentCollection::unprepare | ( |  | ) |
| pure virtual

Unprepare data - may be called in the background.

Implemented in Ogre::SimplePageContentCollection.

## Member Data Documentation

## ◆ CHUNK_ID

const uint32 Ogre::PageContentCollection::CHUNK_ID
| static

## ◆ CHUNK_VERSION

const uint16 Ogre::PageContentCollection::CHUNK_VERSION
| static

The documentation for this class was generated from the following file:

- OgrePageContentCollection.h